/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
export var MultiLanguageInput = {
    serializedName: "MultiLanguageInput",
    type: {
        name: "Composite",
        className: "MultiLanguageInput",
        modelProperties: {
            language: {
                serializedName: "language",
                type: {
                    name: "String"
                }
            },
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            text: {
                serializedName: "text",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export var MultiLanguageBatchInput = {
    serializedName: "MultiLanguageBatchInput",
    type: {
        name: "Composite",
        className: "MultiLanguageBatchInput",
        modelProperties: {
            documents: {
                serializedName: "documents",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "MultiLanguageInput"
                        }
                    }
                }
            }
        }
    }
};
export var MatchRecord = {
    serializedName: "MatchRecord",
    type: {
        name: "Composite",
        className: "MatchRecord",
        modelProperties: {
            wikipediaScore: {
                serializedName: "wikipediaScore",
                type: {
                    name: "Number"
                }
            },
            entityTypeScore: {
                serializedName: "entityTypeScore",
                type: {
                    name: "Number"
                }
            },
            text: {
                serializedName: "text",
                type: {
                    name: "String"
                }
            },
            offset: {
                serializedName: "offset",
                type: {
                    name: "Number"
                }
            },
            length: {
                serializedName: "length",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export var EntityRecord = {
    serializedName: "EntityRecord",
    type: {
        name: "Composite",
        className: "EntityRecord",
        modelProperties: {
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            matches: {
                serializedName: "matches",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "MatchRecord"
                        }
                    }
                }
            },
            wikipediaLanguage: {
                serializedName: "wikipediaLanguage",
                type: {
                    name: "String"
                }
            },
            wikipediaId: {
                serializedName: "wikipediaId",
                type: {
                    name: "String"
                }
            },
            wikipediaUrl: {
                readOnly: true,
                serializedName: "wikipediaUrl",
                type: {
                    name: "String"
                }
            },
            bingId: {
                serializedName: "bingId",
                type: {
                    name: "String"
                }
            },
            type: {
                serializedName: "type",
                type: {
                    name: "String"
                }
            },
            subType: {
                serializedName: "subType",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export var DocumentStatistics = {
    serializedName: "DocumentStatistics",
    type: {
        name: "Composite",
        className: "DocumentStatistics",
        modelProperties: {
            charactersCount: {
                serializedName: "charactersCount",
                type: {
                    name: "Number"
                }
            },
            transactionsCount: {
                serializedName: "transactionsCount",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export var EntitiesBatchResultItem = {
    serializedName: "EntitiesBatchResultItem",
    type: {
        name: "Composite",
        className: "EntitiesBatchResultItem",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            entities: {
                readOnly: true,
                serializedName: "entities",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "EntityRecord"
                        }
                    }
                }
            },
            statistics: {
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "DocumentStatistics"
                }
            }
        }
    }
};
export var ErrorRecord = {
    serializedName: "ErrorRecord",
    type: {
        name: "Composite",
        className: "ErrorRecord",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            message: {
                serializedName: "message",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export var RequestStatistics = {
    serializedName: "RequestStatistics",
    type: {
        name: "Composite",
        className: "RequestStatistics",
        modelProperties: {
            documentsCount: {
                serializedName: "documentsCount",
                type: {
                    name: "Number"
                }
            },
            validDocumentsCount: {
                serializedName: "validDocumentsCount",
                type: {
                    name: "Number"
                }
            },
            erroneousDocumentsCount: {
                serializedName: "erroneousDocumentsCount",
                type: {
                    name: "Number"
                }
            },
            transactionsCount: {
                serializedName: "transactionsCount",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export var EntitiesBatchResult = {
    serializedName: "EntitiesBatchResult",
    type: {
        name: "Composite",
        className: "EntitiesBatchResult",
        modelProperties: {
            documents: {
                readOnly: true,
                serializedName: "documents",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "EntitiesBatchResultItem"
                        }
                    }
                }
            },
            errors: {
                readOnly: true,
                serializedName: "errors",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ErrorRecord"
                        }
                    }
                }
            },
            statistics: {
                readOnly: true,
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "RequestStatistics"
                }
            }
        }
    }
};
export var InternalError = {
    serializedName: "InternalError",
    type: {
        name: "Composite",
        className: "InternalError",
        modelProperties: {
            code: {
                serializedName: "code",
                type: {
                    name: "String"
                }
            },
            message: {
                serializedName: "message",
                type: {
                    name: "String"
                }
            },
            innerError: {
                serializedName: "innerError",
                type: {
                    name: "Composite",
                    className: "InternalError"
                }
            }
        }
    }
};
export var ErrorResponse = {
    serializedName: "ErrorResponse",
    type: {
        name: "Composite",
        className: "ErrorResponse",
        modelProperties: {
            code: {
                serializedName: "code",
                type: {
                    name: "String"
                }
            },
            message: {
                serializedName: "message",
                type: {
                    name: "String"
                }
            },
            target: {
                serializedName: "target",
                type: {
                    name: "String"
                }
            },
            innerError: {
                serializedName: "innerError",
                type: {
                    name: "Composite",
                    className: "InternalError"
                }
            }
        }
    }
};
export var KeyPhraseBatchResultItem = {
    serializedName: "KeyPhraseBatchResultItem",
    type: {
        name: "Composite",
        className: "KeyPhraseBatchResultItem",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            keyPhrases: {
                readOnly: true,
                serializedName: "keyPhrases",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            statistics: {
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "DocumentStatistics"
                }
            }
        }
    }
};
export var KeyPhraseBatchResult = {
    serializedName: "KeyPhraseBatchResult",
    type: {
        name: "Composite",
        className: "KeyPhraseBatchResult",
        modelProperties: {
            documents: {
                readOnly: true,
                serializedName: "documents",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "KeyPhraseBatchResultItem"
                        }
                    }
                }
            },
            errors: {
                readOnly: true,
                serializedName: "errors",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ErrorRecord"
                        }
                    }
                }
            },
            statistics: {
                readOnly: true,
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "RequestStatistics"
                }
            }
        }
    }
};
export var LanguageInput = {
    serializedName: "LanguageInput",
    type: {
        name: "Composite",
        className: "LanguageInput",
        modelProperties: {
            countryHint: {
                serializedName: "countryHint",
                type: {
                    name: "String"
                }
            },
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            text: {
                serializedName: "text",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export var LanguageBatchInput = {
    serializedName: "LanguageBatchInput",
    type: {
        name: "Composite",
        className: "LanguageBatchInput",
        modelProperties: {
            documents: {
                serializedName: "documents",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "LanguageInput"
                        }
                    }
                }
            }
        }
    }
};
export var DetectedLanguage = {
    serializedName: "DetectedLanguage",
    type: {
        name: "Composite",
        className: "DetectedLanguage",
        modelProperties: {
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            iso6391Name: {
                serializedName: "iso6391Name",
                type: {
                    name: "String"
                }
            },
            score: {
                serializedName: "score",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export var LanguageBatchResultItem = {
    serializedName: "LanguageBatchResultItem",
    type: {
        name: "Composite",
        className: "LanguageBatchResultItem",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            detectedLanguages: {
                serializedName: "detectedLanguages",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "DetectedLanguage"
                        }
                    }
                }
            },
            statistics: {
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "DocumentStatistics"
                }
            }
        }
    }
};
export var LanguageBatchResult = {
    serializedName: "LanguageBatchResult",
    type: {
        name: "Composite",
        className: "LanguageBatchResult",
        modelProperties: {
            documents: {
                readOnly: true,
                serializedName: "documents",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "LanguageBatchResultItem"
                        }
                    }
                }
            },
            errors: {
                readOnly: true,
                serializedName: "errors",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ErrorRecord"
                        }
                    }
                }
            },
            statistics: {
                readOnly: true,
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "RequestStatistics"
                }
            }
        }
    }
};
export var SentimentBatchResultItem = {
    serializedName: "SentimentBatchResultItem",
    type: {
        name: "Composite",
        className: "SentimentBatchResultItem",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            score: {
                serializedName: "score",
                type: {
                    name: "Number"
                }
            },
            statistics: {
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "DocumentStatistics"
                }
            }
        }
    }
};
export var SentimentBatchResult = {
    serializedName: "SentimentBatchResult",
    type: {
        name: "Composite",
        className: "SentimentBatchResult",
        modelProperties: {
            documents: {
                readOnly: true,
                serializedName: "documents",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SentimentBatchResultItem"
                        }
                    }
                }
            },
            errors: {
                readOnly: true,
                serializedName: "errors",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ErrorRecord"
                        }
                    }
                }
            },
            statistics: {
                readOnly: true,
                serializedName: "statistics",
                type: {
                    name: "Composite",
                    className: "RequestStatistics"
                }
            }
        }
    }
};
//# sourceMappingURL=mappers.js.map